Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
240.0.0.0
Broadcast address
255.255.255.255
First usable
240.0.0.1
Last usable
255.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0000000 · Integer 4026531840 to 4294967295
Reverse DNS zones
240.in-addr.arpa
241.in-addr.arpa
242.in-addr.arpa
243.in-addr.arpa
244.in-addr.arpa
245.in-addr.arpa
246.in-addr.arpa
247.in-addr.arpa
248.in-addr.arpa
249.in-addr.arpa
250.in-addr.arpa
251.in-addr.arpa
252.in-addr.arpa
253.in-addr.arpa
254.in-addr.arpa
255.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00000000.00000000.00000000240.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11110000.00000000.00000000.00000000240.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/11

240.0.0.0/4 makes 128 subnets of /11.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.0.0.0/11240.0.0.1 to 240.31.255.254240.31.255.2552,097,150
2240.32.0.0/11240.32.0.1 to 240.63.255.254240.63.255.2552,097,150
3240.64.0.0/11240.64.0.1 to 240.95.255.254240.95.255.2552,097,150
4240.96.0.0/11240.96.0.1 to 240.127.255.254240.127.255.2552,097,150
5240.128.0.0/11240.128.0.1 to 240.159.255.254240.159.255.2552,097,150
6240.160.0.0/11240.160.0.1 to 240.191.255.254240.191.255.2552,097,150
7240.192.0.0/11240.192.0.1 to 240.223.255.254240.223.255.2552,097,150
8240.224.0.0/11240.224.0.1 to 240.255.255.254240.255.255.2552,097,150
9241.0.0.0/11241.0.0.1 to 241.31.255.254241.31.255.2552,097,150
10241.32.0.0/11241.32.0.1 to 241.63.255.254241.63.255.2552,097,150
11241.64.0.0/11241.64.0.1 to 241.95.255.254241.95.255.2552,097,150
12241.96.0.0/11241.96.0.1 to 241.127.255.254241.127.255.2552,097,150
13241.128.0.0/11241.128.0.1 to 241.159.255.254241.159.255.2552,097,150
14241.160.0.0/11241.160.0.1 to 241.191.255.254241.191.255.2552,097,150
15241.192.0.0/11241.192.0.1 to 241.223.255.254241.223.255.2552,097,150
16241.224.0.0/11241.224.0.1 to 241.255.255.254241.255.255.2552,097,150
17242.0.0.0/11242.0.0.1 to 242.31.255.254242.31.255.2552,097,150
18242.32.0.0/11242.32.0.1 to 242.63.255.254242.63.255.2552,097,150
19242.64.0.0/11242.64.0.1 to 242.95.255.254242.95.255.2552,097,150
20242.96.0.0/11242.96.0.1 to 242.127.255.254242.127.255.2552,097,150
21242.128.0.0/11242.128.0.1 to 242.159.255.254242.159.255.2552,097,150
22242.160.0.0/11242.160.0.1 to 242.191.255.254242.191.255.2552,097,150
23242.192.0.0/11242.192.0.1 to 242.223.255.254242.223.255.2552,097,150
24242.224.0.0/11242.224.0.1 to 242.255.255.254242.255.255.2552,097,150
25243.0.0.0/11243.0.0.1 to 243.31.255.254243.31.255.2552,097,150
26243.32.0.0/11243.32.0.1 to 243.63.255.254243.63.255.2552,097,150
27243.64.0.0/11243.64.0.1 to 243.95.255.254243.95.255.2552,097,150
28243.96.0.0/11243.96.0.1 to 243.127.255.254243.127.255.2552,097,150
29243.128.0.0/11243.128.0.1 to 243.159.255.254243.159.255.2552,097,150
30243.160.0.0/11243.160.0.1 to 243.191.255.254243.191.255.2552,097,150
31243.192.0.0/11243.192.0.1 to 243.223.255.254243.223.255.2552,097,150
32243.224.0.0/11243.224.0.1 to 243.255.255.254243.255.255.2552,097,150
33244.0.0.0/11244.0.0.1 to 244.31.255.254244.31.255.2552,097,150
34244.32.0.0/11244.32.0.1 to 244.63.255.254244.63.255.2552,097,150
35244.64.0.0/11244.64.0.1 to 244.95.255.254244.95.255.2552,097,150
36244.96.0.0/11244.96.0.1 to 244.127.255.254244.127.255.2552,097,150
37244.128.0.0/11244.128.0.1 to 244.159.255.254244.159.255.2552,097,150
38244.160.0.0/11244.160.0.1 to 244.191.255.254244.191.255.2552,097,150
39244.192.0.0/11244.192.0.1 to 244.223.255.254244.223.255.2552,097,150
40244.224.0.0/11244.224.0.1 to 244.255.255.254244.255.255.2552,097,150
41245.0.0.0/11245.0.0.1 to 245.31.255.254245.31.255.2552,097,150
42245.32.0.0/11245.32.0.1 to 245.63.255.254245.63.255.2552,097,150
43245.64.0.0/11245.64.0.1 to 245.95.255.254245.95.255.2552,097,150
44245.96.0.0/11245.96.0.1 to 245.127.255.254245.127.255.2552,097,150
45245.128.0.0/11245.128.0.1 to 245.159.255.254245.159.255.2552,097,150
46245.160.0.0/11245.160.0.1 to 245.191.255.254245.191.255.2552,097,150
47245.192.0.0/11245.192.0.1 to 245.223.255.254245.223.255.2552,097,150
48245.224.0.0/11245.224.0.1 to 245.255.255.254245.255.255.2552,097,150
49246.0.0.0/11246.0.0.1 to 246.31.255.254246.31.255.2552,097,150
50246.32.0.0/11246.32.0.1 to 246.63.255.254246.63.255.2552,097,150
51246.64.0.0/11246.64.0.1 to 246.95.255.254246.95.255.2552,097,150
52246.96.0.0/11246.96.0.1 to 246.127.255.254246.127.255.2552,097,150
53246.128.0.0/11246.128.0.1 to 246.159.255.254246.159.255.2552,097,150
54246.160.0.0/11246.160.0.1 to 246.191.255.254246.191.255.2552,097,150
55246.192.0.0/11246.192.0.1 to 246.223.255.254246.223.255.2552,097,150
56246.224.0.0/11246.224.0.1 to 246.255.255.254246.255.255.2552,097,150
57247.0.0.0/11247.0.0.1 to 247.31.255.254247.31.255.2552,097,150
58247.32.0.0/11247.32.0.1 to 247.63.255.254247.63.255.2552,097,150
59247.64.0.0/11247.64.0.1 to 247.95.255.254247.95.255.2552,097,150
60247.96.0.0/11247.96.0.1 to 247.127.255.254247.127.255.2552,097,150
61247.128.0.0/11247.128.0.1 to 247.159.255.254247.159.255.2552,097,150
62247.160.0.0/11247.160.0.1 to 247.191.255.254247.191.255.2552,097,150
63247.192.0.0/11247.192.0.1 to 247.223.255.254247.223.255.2552,097,150
64247.224.0.0/11247.224.0.1 to 247.255.255.254247.255.255.2552,097,150
65248.0.0.0/11248.0.0.1 to 248.31.255.254248.31.255.2552,097,150
66248.32.0.0/11248.32.0.1 to 248.63.255.254248.63.255.2552,097,150
67248.64.0.0/11248.64.0.1 to 248.95.255.254248.95.255.2552,097,150
68248.96.0.0/11248.96.0.1 to 248.127.255.254248.127.255.2552,097,150
69248.128.0.0/11248.128.0.1 to 248.159.255.254248.159.255.2552,097,150
70248.160.0.0/11248.160.0.1 to 248.191.255.254248.191.255.2552,097,150
71248.192.0.0/11248.192.0.1 to 248.223.255.254248.223.255.2552,097,150
72248.224.0.0/11248.224.0.1 to 248.255.255.254248.255.255.2552,097,150
73249.0.0.0/11249.0.0.1 to 249.31.255.254249.31.255.2552,097,150
74249.32.0.0/11249.32.0.1 to 249.63.255.254249.63.255.2552,097,150
75249.64.0.0/11249.64.0.1 to 249.95.255.254249.95.255.2552,097,150
76249.96.0.0/11249.96.0.1 to 249.127.255.254249.127.255.2552,097,150
77249.128.0.0/11249.128.0.1 to 249.159.255.254249.159.255.2552,097,150
78249.160.0.0/11249.160.0.1 to 249.191.255.254249.191.255.2552,097,150
79249.192.0.0/11249.192.0.1 to 249.223.255.254249.223.255.2552,097,150
80249.224.0.0/11249.224.0.1 to 249.255.255.254249.255.255.2552,097,150
81250.0.0.0/11250.0.0.1 to 250.31.255.254250.31.255.2552,097,150
82250.32.0.0/11250.32.0.1 to 250.63.255.254250.63.255.2552,097,150
83250.64.0.0/11250.64.0.1 to 250.95.255.254250.95.255.2552,097,150
84250.96.0.0/11250.96.0.1 to 250.127.255.254250.127.255.2552,097,150
85250.128.0.0/11250.128.0.1 to 250.159.255.254250.159.255.2552,097,150
86250.160.0.0/11250.160.0.1 to 250.191.255.254250.191.255.2552,097,150
87250.192.0.0/11250.192.0.1 to 250.223.255.254250.223.255.2552,097,150
88250.224.0.0/11250.224.0.1 to 250.255.255.254250.255.255.2552,097,150
89251.0.0.0/11251.0.0.1 to 251.31.255.254251.31.255.2552,097,150
90251.32.0.0/11251.32.0.1 to 251.63.255.254251.63.255.2552,097,150
91251.64.0.0/11251.64.0.1 to 251.95.255.254251.95.255.2552,097,150
92251.96.0.0/11251.96.0.1 to 251.127.255.254251.127.255.2552,097,150
93251.128.0.0/11251.128.0.1 to 251.159.255.254251.159.255.2552,097,150
94251.160.0.0/11251.160.0.1 to 251.191.255.254251.191.255.2552,097,150
95251.192.0.0/11251.192.0.1 to 251.223.255.254251.223.255.2552,097,150
96251.224.0.0/11251.224.0.1 to 251.255.255.254251.255.255.2552,097,150
97252.0.0.0/11252.0.0.1 to 252.31.255.254252.31.255.2552,097,150
98252.32.0.0/11252.32.0.1 to 252.63.255.254252.63.255.2552,097,150
99252.64.0.0/11252.64.0.1 to 252.95.255.254252.95.255.2552,097,150
100252.96.0.0/11252.96.0.1 to 252.127.255.254252.127.255.2552,097,150
101252.128.0.0/11252.128.0.1 to 252.159.255.254252.159.255.2552,097,150
102252.160.0.0/11252.160.0.1 to 252.191.255.254252.191.255.2552,097,150
103252.192.0.0/11252.192.0.1 to 252.223.255.254252.223.255.2552,097,150
104252.224.0.0/11252.224.0.1 to 252.255.255.254252.255.255.2552,097,150
105253.0.0.0/11253.0.0.1 to 253.31.255.254253.31.255.2552,097,150
106253.32.0.0/11253.32.0.1 to 253.63.255.254253.63.255.2552,097,150
107253.64.0.0/11253.64.0.1 to 253.95.255.254253.95.255.2552,097,150
108253.96.0.0/11253.96.0.1 to 253.127.255.254253.127.255.2552,097,150
109253.128.0.0/11253.128.0.1 to 253.159.255.254253.159.255.2552,097,150
110253.160.0.0/11253.160.0.1 to 253.191.255.254253.191.255.2552,097,150
111253.192.0.0/11253.192.0.1 to 253.223.255.254253.223.255.2552,097,150
112253.224.0.0/11253.224.0.1 to 253.255.255.254253.255.255.2552,097,150
113254.0.0.0/11254.0.0.1 to 254.31.255.254254.31.255.2552,097,150
114254.32.0.0/11254.32.0.1 to 254.63.255.254254.63.255.2552,097,150
115254.64.0.0/11254.64.0.1 to 254.95.255.254254.95.255.2552,097,150
116254.96.0.0/11254.96.0.1 to 254.127.255.254254.127.255.2552,097,150
117254.128.0.0/11254.128.0.1 to 254.159.255.254254.159.255.2552,097,150
118254.160.0.0/11254.160.0.1 to 254.191.255.254254.191.255.2552,097,150
119254.192.0.0/11254.192.0.1 to 254.223.255.254254.223.255.2552,097,150
120254.224.0.0/11254.224.0.1 to 254.255.255.254254.255.255.2552,097,150
121255.0.0.0/11255.0.0.1 to 255.31.255.254255.31.255.2552,097,150
122255.32.0.0/11255.32.0.1 to 255.63.255.254255.63.255.2552,097,150
123255.64.0.0/11255.64.0.1 to 255.95.255.254255.95.255.2552,097,150
124255.96.0.0/11255.96.0.1 to 255.127.255.254255.127.255.2552,097,150
125255.128.0.0/11255.128.0.1 to 255.159.255.254255.159.255.2552,097,150
126255.160.0.0/11255.160.0.1 to 255.191.255.254255.191.255.2552,097,150
127255.192.0.0/11255.192.0.1 to 255.223.255.254255.223.255.2552,097,150
128255.224.0.0/11255.224.0.1 to 255.255.255.254255.255.255.2552,097,150

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses